###############################################################################
# Paul Gampe - <pgampe@redhat.com>
# TODO: Localize language names when rpm supports utf-8 spec files
###############################################################################
%define lang_code zh_tw
%define lang_name Traditional Chinese

Copyright: distributable
Source: rh-cs-%{lang_code}-%{version}.tbz
Release: 1
Name: rh-cs-%{lang_code}
Group: Documentation
URL: http://www.redhat.com/docs/
Version: 3
Summary: Red Hat Cluster Suite Configuring and Managing a Cluster (%{lang_code})
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
This guide discusses how to install, configure, and manage
a high-availability clustered system.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install

mkdir -p $RPM_BUILD_ROOT/usr/share/applications/
                                                                                                                  
cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Configuring and Managing a Cluster (%{lang_code})
Comment=Read about Red Hat Cluster Suite (%{lang_name})
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/applications/%{name}.desktop
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Sun Sep 07 2003 Paul Gampe <pgampe@redhat.com>
- Initial spec

